> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Bulk Import Instruments

POST https://api.bigcommerce.com/stores/{store_hash}/v3/payments/stored-instruments
Content-Type: application/json

Imports instruments that were vaulted outside the store.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/payments/stored-instruments/manage-instruments/bulk-import-instruments

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of import_request_body.

- `list of import_request_body`

## Response

### 200

All instruments were successfully imported.

- `data` (list of PaymentsStoredInstrumentsPostResponsesContentApplicationJsonSchemaDataItems, optional) — Successfully imported instruments.
- `errors` (list of base_error_response, optional) — Errors with detailed errors indexed by input parameters.
- `meta` (meta_bulk, optional) — Response metadata.

## Errors

### 401 Unauthorized Error

Invalid X-Auth-Token

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (detailed_error, optional)

### 422 Unprocessable Entity Error

Failed responses.

- `data` (list of PaymentsStoredInstrumentsPostResponsesContentApplicationJsonSchemaDataItems, optional) — Successfully imported instruments.
- `errors` (list of base_error_response, optional) — Errors with detailed errors indexed by input parameters.
- `meta` (meta_bulk, optional) — Response metadata.

## Types

### import_request_body

- `payment_method_id` (string, required) — Identifier for the payment method that will be used for this instrument is obtained from the Payment Methods API.
- `currency_code` (string, required) — The instrument currency.
- `customer_id` (integer, required) — The ID of the customer.
- `instrument` (ImportRequestBodyInstrument, required) — The instrument details.
- `billing_address` (BillingAddressCreateParams, required)
- `trusted_shipping_addresses` (list of BillingAddressCreateParams, optional) — The trusted shipping address for an instrument.
- `default_instrument` (boolean, optional) — Make instrument default.

### PaymentsStoredInstrumentsPostResponsesContentApplicationJsonSchemaDataItems

### base_error_response

Error payload for the BigCommerce API.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (detailed_error, optional)

### meta_bulk

Response metadata.

- `total` (integer, optional) — total number of processed items
- `success` (integer, optional) — number of successfully processed items
- `failed` (integer, optional) — number of items we were unable to process

### detailed_error

### ImportRequestBodyInstrument

The instrument details.

### BillingAddressCreateParams

- `first_name` (string, optional) — The first name of the cardholder.
- `last_name` (string, optional) — The last name of the cardholder.
- `email` (string, optional)
- `company` (string, optional) — The company of the cardholder.
- `street_1` (string, optional)
- `street_2` (string, optional)
- `city` (string, optional)
- `state_or_province_code` (string, optional) — The state or province code.
- `country_code` (string, optional) — The ISO-3166-1 2 letter country code.
- `phone` (string, optional)
- `postal_code` (string, optional) — The postal code.

### CardInstrument

Details about a stored card instrument which includes details around billing, last four digits, issuer, etc.

- `customer_id` (integer, optional) — The ID of the customer.
- `token` (string, optional) — An identifier representing this stored instrument.
- `type` (string, optional) — Type of instrument.
- `is_default` (boolean, optional) — Identifies whether this stored instrument is default for the customer.
- `brand` (string, optional) — The card brand.
- `expiry_month` (integer, optional) — The expiry month for this card.
- `expiry_year` (integer, optional) — The expiry year for this card.
- `iin` (string, optional) — The issuer identification number.
- `last_4` (string, optional) — The last four digits of this card.
- `billing_address` (BillingAddress, optional)

### PayPalAccountInstrument

A PayPal account stored instrument

- `customer_id` (integer, optional) — The ID of the customer.
- `token` (string, optional) — An identifier representing this stored instrument.
- `type` (string, optional) — Instrument type
- `is_default` (boolean, optional) — Identifies whether this stored instrument is default for the customer.
- `email` (string, optional) — The PayPal email address.

### CreditCardInstrumentImportParam

- `vault_token` (string, optional) — The token from the provider's vault.
- `provider_customer_id` (string, optional) — The customer ID in the provider's vault.
- `type` (string, optional) — The instrument type.
- `brand` (string, optional) — Card brand.
- `expiry_year` (integer, optional) — Expiration year.
- `expiry_month` (integer, optional) — Expiration month.
- `last_4` (string, optional) — Last four digits of card.
- `iin` (string, optional) — Issuer identification number.

### PaypalAccountInstrumentImportParam

The parameters for an already vaulted PayPal instrument.

- `vault_token` (string, optional) — The token from the provider's vault.
- `provider_customer_id` (string, optional) — The customer ID in the provider's vault.
- `type` (string, optional) — The instrument type.
- `email` (string, optional) — account email

### BankAccountInstrumentImportParam

The parameters for an already vaulted Bank account instrument.

- `vault_token` (string, optional) — The token from the provider's vault.
- `provider_customer_id` (string, optional) — The customer ID in the provider's vault.
- `type` (string, optional) — The instrument type.
- `issuer` (string, optional) — Account issuer number
- `masked_account_number` (string, optional) — Masked account number

### BillingAddress

- `first_name` (string, optional) — The first name of the cardholder.
- `last_name` (string, optional) — The last name of the cardholder.
- `email` (string, optional)
- `company` (string, optional) — The company of the cardholder.
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state_or_province` (string, optional) — Represents the state or province.
- `state_or_province_code` (string, optional)
- `country_code` (string, optional) — The ISO-3166-1 2 letter country code.
- `phone` (string, optional)
- `postal_code` (string, optional)

## Examples

**Request**

```json
[
  {
    "payment_method_id": "braintree.credit_card",
    "currency_code": "GBP",
    "customer_id": 1,
    "instrument": {
      "brand": "visa",
      "expiry_month": 11,
      "expiry_year": 2026,
      "iin": "424242",
      "last_4": "4242",
      "provider_customer_id": "cus_ONhsna5PAbiZeW",
      "type": "credit_card",
      "vault_token": "pm_1NcbZ2FYHgt19eoyCcvXptfS"
    },
    "billing_address": {
      "first_name": "test",
      "last_name": "shop",
      "email": "example@email.com",
      "street_1": "Station Yard, Waybridge Station",
      "city": "Waybridge",
      "country_code": "GB",
      "postal_code": "KT13 8UD"
    },
    "trusted_shipping_addresses": [
      {
        "first_name": "test",
        "last_name": "shop",
        "email": "example@email.com",
        "street_1": "Station Yard, Waybridge Station",
        "city": "Waybridge",
        "country_code": "GB",
        "postal_code": "KT13 8UD"
      }
    ],
    "default_instrument": false
  },
  {
    "payment_method_id": "braintree.paypal",
    "currency_code": "GBP",
    "customer_id": 1,
    "instrument": {
      "email": "test@test.com",
      "provider_customer_id": "321123",
      "type": "paypal_account",
      "vault_token": "5292sx35"
    },
    "billing_address": {
      "first_name": "test",
      "last_name": "shop",
      "email": "example@email.com",
      "street_1": "Station Yard, Waybridge Station",
      "city": "Waybridge",
      "country_code": "GB",
      "postal_code": "KT13 8UD"
    },
    "trusted_shipping_addresses": [
      {
        "first_name": "test",
        "last_name": "shop",
        "email": "example@email.com",
        "street_1": "Station Yard, Waybridge Station",
        "city": "Weybridge",
        "country_code": "GB",
        "postal_code": "KT13 8UD"
      }
    ],
    "default_instrument": false
  }
]
```

**Response**

```json
{
  "data": [
    {
      "customer_id": 1,
      "instrument": {
        "email": "bc-buyer-paypal-express@bigcommerce.com",
        "is_default": true,
        "token": "84596bea275fa254da820056bdc3e495bdf01fd11c51b0336347d447ee16200c",
        "type": "paypal_account"
      },
      "provider_vault_token": "provider_token"
    },
    {
      "customer_id": 1,
      "instrument": {
        "is_default": true,
        "issuer": "011000015",
        "masked_account_number": "0000",
        "token": "84596bea275fa254da820056bdc3e495bdf01fd11c51b0336347d447ee16200c",
        "type": "bank_account"
      },
      "provider_vault_token": "provider_token"
    },
    {
      "customer_id": 1,
      "instrument": {
        "billing_address": {
          "address1": "1 Sample Street",
          "address2": "",
          "city": "",
          "company": "",
          "country_code": "US",
          "email": "example@email.com",
          "first_name": "Tester",
          "last_name": "Tester",
          "phone": "101-192-0293",
          "postal_code": "55555",
          "state_or_province": "Nevada",
          "state_or_province_code": "NV"
        },
        "brand": "visa",
        "expiry_month": 1,
        "expiry_year": 1,
        "iin": "411111",
        "is_default": true,
        "last_4": "1111",
        "token": "84596bea275fa254da820056bdc3e495bdf01fd11c51b0336347d447ee16200c",
        "type": "credit_card"
      },
      "provider_vault_token": "provider_token"
    }
  ],
  "errors": [],
  "meta": {
    "total": 3,
    "success": 3,
    "failed": 0
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments"

payload = [
    {
        "payment_method_id": "braintree.credit_card",
        "currency_code": "GBP",
        "customer_id": 1,
        "instrument": {
            "brand": "visa",
            "expiry_month": 11,
            "expiry_year": 2026,
            "iin": "424242",
            "last_4": "4242",
            "provider_customer_id": "cus_ONhsna5PAbiZeW",
            "type": "credit_card",
            "vault_token": "pm_1NcbZ2FYHgt19eoyCcvXptfS"
        },
        "billing_address": {
            "first_name": "test",
            "last_name": "shop",
            "email": "example@email.com",
            "street_1": "Station Yard, Waybridge Station",
            "city": "Waybridge",
            "country_code": "GB",
            "postal_code": "KT13 8UD"
        },
        "trusted_shipping_addresses": [
            {
                "first_name": "test",
                "last_name": "shop",
                "email": "example@email.com",
                "street_1": "Station Yard, Waybridge Station",
                "city": "Waybridge",
                "country_code": "GB",
                "postal_code": "KT13 8UD"
            }
        ],
        "default_instrument": False
    },
    {
        "payment_method_id": "braintree.paypal",
        "currency_code": "GBP",
        "customer_id": 1,
        "instrument": {
            "email": "test@test.com",
            "provider_customer_id": "321123",
            "type": "paypal_account",
            "vault_token": "5292sx35"
        },
        "billing_address": {
            "first_name": "test",
            "last_name": "shop",
            "email": "example@email.com",
            "street_1": "Station Yard, Waybridge Station",
            "city": "Waybridge",
            "country_code": "GB",
            "postal_code": "KT13 8UD"
        },
        "trusted_shipping_addresses": [
            {
                "first_name": "test",
                "last_name": "shop",
                "email": "example@email.com",
                "street_1": "Station Yard, Waybridge Station",
                "city": "Weybridge",
                "country_code": "GB",
                "postal_code": "KT13 8UD"
            }
        ],
        "default_instrument": False
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"payment_method_id":"braintree.credit_card","currency_code":"GBP","customer_id":1,"instrument":{"brand":"visa","expiry_month":11,"expiry_year":2026,"iin":"424242","last_4":"4242","provider_customer_id":"cus_ONhsna5PAbiZeW","type":"credit_card","vault_token":"pm_1NcbZ2FYHgt19eoyCcvXptfS"},"billing_address":{"first_name":"test","last_name":"shop","email":"example@email.com","street_1":"Station Yard, Waybridge Station","city":"Waybridge","country_code":"GB","postal_code":"KT13 8UD"},"trusted_shipping_addresses":[{"first_name":"test","last_name":"shop","email":"example@email.com","street_1":"Station Yard, Waybridge Station","city":"Waybridge","country_code":"GB","postal_code":"KT13 8UD"}],"default_instrument":false},{"payment_method_id":"braintree.paypal","currency_code":"GBP","customer_id":1,"instrument":{"email":"test@test.com","provider_customer_id":"321123","type":"paypal_account","vault_token":"5292sx35"},"billing_address":{"first_name":"test","last_name":"shop","email":"example@email.com","street_1":"Station Yard, Waybridge Station","city":"Waybridge","country_code":"GB","postal_code":"KT13 8UD"},"trusted_shipping_addresses":[{"first_name":"test","last_name":"shop","email":"example@email.com","street_1":"Station Yard, Waybridge Station","city":"Weybridge","country_code":"GB","postal_code":"KT13 8UD"}],"default_instrument":false}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments"

	payload := strings.NewReader("[\n  {\n    \"payment_method_id\": \"braintree.credit_card\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"brand\": \"visa\",\n      \"expiry_month\": 11,\n      \"expiry_year\": 2026,\n      \"iin\": \"424242\",\n      \"last_4\": \"4242\",\n      \"provider_customer_id\": \"cus_ONhsna5PAbiZeW\",\n      \"type\": \"credit_card\",\n      \"vault_token\": \"pm_1NcbZ2FYHgt19eoyCcvXptfS\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Waybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  },\n  {\n    \"payment_method_id\": \"braintree.paypal\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"email\": \"test@test.com\",\n      \"provider_customer_id\": \"321123\",\n      \"type\": \"paypal_account\",\n      \"vault_token\": \"5292sx35\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Weybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"payment_method_id\": \"braintree.credit_card\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"brand\": \"visa\",\n      \"expiry_month\": 11,\n      \"expiry_year\": 2026,\n      \"iin\": \"424242\",\n      \"last_4\": \"4242\",\n      \"provider_customer_id\": \"cus_ONhsna5PAbiZeW\",\n      \"type\": \"credit_card\",\n      \"vault_token\": \"pm_1NcbZ2FYHgt19eoyCcvXptfS\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Waybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  },\n  {\n    \"payment_method_id\": \"braintree.paypal\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"email\": \"test@test.com\",\n      \"provider_customer_id\": \"321123\",\n      \"type\": \"paypal_account\",\n      \"vault_token\": \"5292sx35\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Weybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"payment_method_id\": \"braintree.credit_card\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"brand\": \"visa\",\n      \"expiry_month\": 11,\n      \"expiry_year\": 2026,\n      \"iin\": \"424242\",\n      \"last_4\": \"4242\",\n      \"provider_customer_id\": \"cus_ONhsna5PAbiZeW\",\n      \"type\": \"credit_card\",\n      \"vault_token\": \"pm_1NcbZ2FYHgt19eoyCcvXptfS\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Waybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  },\n  {\n    \"payment_method_id\": \"braintree.paypal\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"email\": \"test@test.com\",\n      \"provider_customer_id\": \"321123\",\n      \"type\": \"paypal_account\",\n      \"vault_token\": \"5292sx35\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Weybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  }\n]")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments', [
  'body' => '[
  {
    "payment_method_id": "braintree.credit_card",
    "currency_code": "GBP",
    "customer_id": 1,
    "instrument": {
      "brand": "visa",
      "expiry_month": 11,
      "expiry_year": 2026,
      "iin": "424242",
      "last_4": "4242",
      "provider_customer_id": "cus_ONhsna5PAbiZeW",
      "type": "credit_card",
      "vault_token": "pm_1NcbZ2FYHgt19eoyCcvXptfS"
    },
    "billing_address": {
      "first_name": "test",
      "last_name": "shop",
      "email": "example@email.com",
      "street_1": "Station Yard, Waybridge Station",
      "city": "Waybridge",
      "country_code": "GB",
      "postal_code": "KT13 8UD"
    },
    "trusted_shipping_addresses": [
      {
        "first_name": "test",
        "last_name": "shop",
        "email": "example@email.com",
        "street_1": "Station Yard, Waybridge Station",
        "city": "Waybridge",
        "country_code": "GB",
        "postal_code": "KT13 8UD"
      }
    ],
    "default_instrument": false
  },
  {
    "payment_method_id": "braintree.paypal",
    "currency_code": "GBP",
    "customer_id": 1,
    "instrument": {
      "email": "test@test.com",
      "provider_customer_id": "321123",
      "type": "paypal_account",
      "vault_token": "5292sx35"
    },
    "billing_address": {
      "first_name": "test",
      "last_name": "shop",
      "email": "example@email.com",
      "street_1": "Station Yard, Waybridge Station",
      "city": "Waybridge",
      "country_code": "GB",
      "postal_code": "KT13 8UD"
    },
    "trusted_shipping_addresses": [
      {
        "first_name": "test",
        "last_name": "shop",
        "email": "example@email.com",
        "street_1": "Station Yard, Waybridge Station",
        "city": "Weybridge",
        "country_code": "GB",
        "postal_code": "KT13 8UD"
      }
    ],
    "default_instrument": false
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"payment_method_id\": \"braintree.credit_card\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"brand\": \"visa\",\n      \"expiry_month\": 11,\n      \"expiry_year\": 2026,\n      \"iin\": \"424242\",\n      \"last_4\": \"4242\",\n      \"provider_customer_id\": \"cus_ONhsna5PAbiZeW\",\n      \"type\": \"credit_card\",\n      \"vault_token\": \"pm_1NcbZ2FYHgt19eoyCcvXptfS\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Waybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  },\n  {\n    \"payment_method_id\": \"braintree.paypal\",\n    \"currency_code\": \"GBP\",\n    \"customer_id\": 1,\n    \"instrument\": {\n      \"email\": \"test@test.com\",\n      \"provider_customer_id\": \"321123\",\n      \"type\": \"paypal_account\",\n      \"vault_token\": \"5292sx35\"\n    },\n    \"billing_address\": {\n      \"first_name\": \"test\",\n      \"last_name\": \"shop\",\n      \"email\": \"example@email.com\",\n      \"street_1\": \"Station Yard, Waybridge Station\",\n      \"city\": \"Waybridge\",\n      \"country_code\": \"GB\",\n      \"postal_code\": \"KT13 8UD\"\n    },\n    \"trusted_shipping_addresses\": [\n      {\n        \"first_name\": \"test\",\n        \"last_name\": \"shop\",\n        \"email\": \"example@email.com\",\n        \"street_1\": \"Station Yard, Waybridge Station\",\n        \"city\": \"Weybridge\",\n        \"country_code\": \"GB\",\n        \"postal_code\": \"KT13 8UD\"\n      }\n    ],\n    \"default_instrument\": false\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "payment_method_id": "braintree.credit_card",
    "currency_code": "GBP",
    "customer_id": 1,
    "instrument": [
      "brand": "visa",
      "expiry_month": 11,
      "expiry_year": 2026,
      "iin": "424242",
      "last_4": "4242",
      "provider_customer_id": "cus_ONhsna5PAbiZeW",
      "type": "credit_card",
      "vault_token": "pm_1NcbZ2FYHgt19eoyCcvXptfS"
    ],
    "billing_address": [
      "first_name": "test",
      "last_name": "shop",
      "email": "example@email.com",
      "street_1": "Station Yard, Waybridge Station",
      "city": "Waybridge",
      "country_code": "GB",
      "postal_code": "KT13 8UD"
    ],
    "trusted_shipping_addresses": [
      [
        "first_name": "test",
        "last_name": "shop",
        "email": "example@email.com",
        "street_1": "Station Yard, Waybridge Station",
        "city": "Waybridge",
        "country_code": "GB",
        "postal_code": "KT13 8UD"
      ]
    ],
    "default_instrument": false
  ],
  [
    "payment_method_id": "braintree.paypal",
    "currency_code": "GBP",
    "customer_id": 1,
    "instrument": [
      "email": "test@test.com",
      "provider_customer_id": "321123",
      "type": "paypal_account",
      "vault_token": "5292sx35"
    ],
    "billing_address": [
      "first_name": "test",
      "last_name": "shop",
      "email": "example@email.com",
      "street_1": "Station Yard, Waybridge Station",
      "city": "Waybridge",
      "country_code": "GB",
      "postal_code": "KT13 8UD"
    ],
    "trusted_shipping_addresses": [
      [
        "first_name": "test",
        "last_name": "shop",
        "email": "example@email.com",
        "street_1": "Station Yard, Waybridge Station",
        "city": "Weybridge",
        "country_code": "GB",
        "postal_code": "KT13 8UD"
      ]
    ],
    "default_instrument": false
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```